> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/tracking-information.md).

# Tracking Information

Endpoints to create, read, and act on the tracking information of a parcel.

## Get all tracking information by parameters

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves all found tracking information using the passed search parameters.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, read, and act on the tracking information of a parcel.","name":"Tracking information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TrackingInformationListResponse":{"properties":{"totalCount":{"description":"Total number of found tracking information for the given search parameters","type":"integer"},"trackingInformation":{"items":{"$ref":"#/components/schemas/TrackingInformation"},"type":"array"}},"required":["trackingInformation"],"title":"TrackingInformationListResponse","type":"object","description":"TrackingInformationListResponse"},"TrackingInformation":{"properties":{"carrierRef":{"description":"Reference to the connected carrier","minLength":1,"type":"string"},"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status of the latest tracking information event status."},"carrierStatusSet":{"description":"Creation timestamp of the latest tracking information event status.","format":"date-time","type":"string"},"created":{"description":"Creation date of this tracking information","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the connected facility ref via the connected shipping information","type":"string"},"id":{"description":"Unique identifier of this tracking information","type":"string"},"labelRef":{"description":"Reference to the connected label","minLength":1,"type":"string"},"labelUrl":{"description":"The URL to the label for this tracking information.","minLength":1,"type":"string"},"lastModified":{"description":"Last modification date of this tracking information","format":"date-time","type":"string"},"shippingInformationRef":{"description":"Reference to the connected shipping information","minLength":1,"type":"string"},"status":{"description":"Status of the tracking information entity. Will either be set by the workflow or calculated from the event history.","enum":["CREATED","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE"],"type":"string"},"trackingHistory":{"description":"The tracking history of the tracking information. Most recent one is defined by the statusSet timestamp, then the internal id.","items":{"$ref":"#/components/schemas/TrackingInformationTrackingEvent"},"maxItems":100,"minItems":1,"type":"array"},"trackingNumber":{"description":"Tracking number of the connected label","minLength":1,"type":"string"},"trackingStatus":{"description":"Latest tracking information event status. Based on the found tracking event history.","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"trackingStatusSet":{"description":"Creation timestamp of the latest tracking information event.","format":"date-time","type":"string"},"trackingUrl":{"description":"Url to the tracking page of the given carrier and tracking number","minLength":1,"type":"string"},"type":{"description":"Type of this tracking information","enum":["SEND","RETURN"],"type":"string"},"version":{"description":"Version number of this tracking information","type":"integer"}},"required":["type","carrierRef","shippingInformationRef","trackingNumber","trackingUrl","labelUrl","trackingHistory","id","created","lastModified","version","status","trackingStatus","trackingStatusSet","carrierStatus","facilityRef"],"title":"TrackingInformation","type":"object","description":"TrackingInformation"},"TrackingInformationTrackingEvent":{"properties":{"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status from the carrier before mapping to the internal status"},"carrierStatusSet":{"description":"Creation timestamp","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this tracking history","type":"string"},"status":{"description":"Internal Status of this Tracking Information Event","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"statusSet":{"description":"Creation timestamp","format":"date-time","type":"string"}},"required":["status","statusSet","carrierStatus","id"],"title":"TrackingInformationTrackingEvent","type":"object","description":"TrackingInformationTrackingEvent"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/trackinginformation":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves all found tracking information using the passed search parameters.","operationId":"trackingInformationList","parameters":[{"description":"Ordering of the found tracking information.","in":"query","name":"orderBy","required":false,"schema":{"enum":["CREATED_ASC","CREATED_DESC","LAST_MODIFIED_ASC","LAST_MODIFIED_DESC"],"type":"string"}},{"description":"Amount of results of this call.","in":"query","name":"size","required":false,"schema":{"type":"integer"}},{"description":"Used for pagination, return sorted results after this id.","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"Flag to specify if the result should include a sum of all possible found values for this filter.","in":"query","name":"withTotal","required":false,"schema":{"default":false,"type":"boolean"}},{"description":"Possible facility refs to filter by","in":"query","name":"facilityRefs","required":false,"schema":{"items":{"type":"string"},"maxItems":20,"minItems":0,"type":"array"}},{"description":"Connected shipping information ref to filter by","in":"query","name":"shippingInformationRef","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingInformationListResponse"}}},"description":"Successfully retrieved all trackingInformation matching the given parameters."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get all tracking information by parameters","tags":["Tracking information"]}}}}
```

## Create a tracking information

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Creates a new tracking information.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, read, and act on the tracking information of a parcel.","name":"Tracking information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TrackingInformationForCreation":{"properties":{"carrierRef":{"description":"Reference to the connected carrier","minLength":1,"type":"string"},"labelRef":{"description":"Reference to the connected label","minLength":1,"type":"string"},"labelUrl":{"description":"The URL to the label for this tracking information.","minLength":1,"type":"string"},"shippingInformationRef":{"description":"Reference to the connected shipping information","minLength":1,"type":"string"},"trackingHistory":{"description":"The tracking history of the tracking information. Most recent one is defined by the statusSet timestamp, then the internal id.","items":{"$ref":"#/components/schemas/TrackingInformationTrackingEventForCreation"},"maxItems":100,"minItems":1,"type":"array"},"trackingNumber":{"description":"Tracking number of the connected label","minLength":1,"type":"string"},"trackingUrl":{"description":"Url to the tracking page of the given carrier and tracking number","minLength":1,"type":"string"},"type":{"description":"Type of this tracking information","enum":["SEND","RETURN"],"type":"string"}},"required":["type","carrierRef","shippingInformationRef","trackingNumber","trackingUrl","labelUrl","trackingHistory"],"title":"TrackingInformationForCreation","type":"object","description":"TrackingInformationForCreation"},"TrackingInformationTrackingEventForCreation":{"properties":{"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status from the carrier before mapping to the internal status"},"carrierStatusSet":{"description":"Creation timestamp","format":"date-time","type":"string"},"status":{"description":"Internal Status of this Tracking Information Event","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"statusSet":{"description":"Creation timestamp","format":"date-time","type":"string"}},"required":["status","statusSet","carrierStatus"],"title":"TrackingInformationTrackingEventForCreation","type":"object","description":"TrackingInformationTrackingEventForCreation"},"TrackingInformation":{"properties":{"carrierRef":{"description":"Reference to the connected carrier","minLength":1,"type":"string"},"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status of the latest tracking information event status."},"carrierStatusSet":{"description":"Creation timestamp of the latest tracking information event status.","format":"date-time","type":"string"},"created":{"description":"Creation date of this tracking information","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the connected facility ref via the connected shipping information","type":"string"},"id":{"description":"Unique identifier of this tracking information","type":"string"},"labelRef":{"description":"Reference to the connected label","minLength":1,"type":"string"},"labelUrl":{"description":"The URL to the label for this tracking information.","minLength":1,"type":"string"},"lastModified":{"description":"Last modification date of this tracking information","format":"date-time","type":"string"},"shippingInformationRef":{"description":"Reference to the connected shipping information","minLength":1,"type":"string"},"status":{"description":"Status of the tracking information entity. Will either be set by the workflow or calculated from the event history.","enum":["CREATED","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE"],"type":"string"},"trackingHistory":{"description":"The tracking history of the tracking information. Most recent one is defined by the statusSet timestamp, then the internal id.","items":{"$ref":"#/components/schemas/TrackingInformationTrackingEvent"},"maxItems":100,"minItems":1,"type":"array"},"trackingNumber":{"description":"Tracking number of the connected label","minLength":1,"type":"string"},"trackingStatus":{"description":"Latest tracking information event status. Based on the found tracking event history.","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"trackingStatusSet":{"description":"Creation timestamp of the latest tracking information event.","format":"date-time","type":"string"},"trackingUrl":{"description":"Url to the tracking page of the given carrier and tracking number","minLength":1,"type":"string"},"type":{"description":"Type of this tracking information","enum":["SEND","RETURN"],"type":"string"},"version":{"description":"Version number of this tracking information","type":"integer"}},"required":["type","carrierRef","shippingInformationRef","trackingNumber","trackingUrl","labelUrl","trackingHistory","id","created","lastModified","version","status","trackingStatus","trackingStatusSet","carrierStatus","facilityRef"],"title":"TrackingInformation","type":"object","description":"TrackingInformation"},"TrackingInformationTrackingEvent":{"properties":{"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status from the carrier before mapping to the internal status"},"carrierStatusSet":{"description":"Creation timestamp","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this tracking history","type":"string"},"status":{"description":"Internal Status of this Tracking Information Event","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"statusSet":{"description":"Creation timestamp","format":"date-time","type":"string"}},"required":["status","statusSet","carrierStatus","id"],"title":"TrackingInformationTrackingEvent","type":"object","description":"TrackingInformationTrackingEvent"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/trackinginformation":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Creates a new tracking information.","operationId":"createTrackingInformation","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingInformationForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingInformation"}}},"description":"Successfully created the trackingInformation."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Create a tracking information","tags":["Tracking information"]}}}}
```

## Get a tracking information by its ID

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves a single tracking information using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, read, and act on the tracking information of a parcel.","name":"Tracking information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TrackingInformation":{"properties":{"carrierRef":{"description":"Reference to the connected carrier","minLength":1,"type":"string"},"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status of the latest tracking information event status."},"carrierStatusSet":{"description":"Creation timestamp of the latest tracking information event status.","format":"date-time","type":"string"},"created":{"description":"Creation date of this tracking information","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the connected facility ref via the connected shipping information","type":"string"},"id":{"description":"Unique identifier of this tracking information","type":"string"},"labelRef":{"description":"Reference to the connected label","minLength":1,"type":"string"},"labelUrl":{"description":"The URL to the label for this tracking information.","minLength":1,"type":"string"},"lastModified":{"description":"Last modification date of this tracking information","format":"date-time","type":"string"},"shippingInformationRef":{"description":"Reference to the connected shipping information","minLength":1,"type":"string"},"status":{"description":"Status of the tracking information entity. Will either be set by the workflow or calculated from the event history.","enum":["CREATED","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE"],"type":"string"},"trackingHistory":{"description":"The tracking history of the tracking information. Most recent one is defined by the statusSet timestamp, then the internal id.","items":{"$ref":"#/components/schemas/TrackingInformationTrackingEvent"},"maxItems":100,"minItems":1,"type":"array"},"trackingNumber":{"description":"Tracking number of the connected label","minLength":1,"type":"string"},"trackingStatus":{"description":"Latest tracking information event status. Based on the found tracking event history.","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"trackingStatusSet":{"description":"Creation timestamp of the latest tracking information event.","format":"date-time","type":"string"},"trackingUrl":{"description":"Url to the tracking page of the given carrier and tracking number","minLength":1,"type":"string"},"type":{"description":"Type of this tracking information","enum":["SEND","RETURN"],"type":"string"},"version":{"description":"Version number of this tracking information","type":"integer"}},"required":["type","carrierRef","shippingInformationRef","trackingNumber","trackingUrl","labelUrl","trackingHistory","id","created","lastModified","version","status","trackingStatus","trackingStatusSet","carrierStatus","facilityRef"],"title":"TrackingInformation","type":"object","description":"TrackingInformation"},"TrackingInformationTrackingEvent":{"properties":{"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status from the carrier before mapping to the internal status"},"carrierStatusSet":{"description":"Creation timestamp","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this tracking history","type":"string"},"status":{"description":"Internal Status of this Tracking Information Event","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"statusSet":{"description":"Creation timestamp","format":"date-time","type":"string"}},"required":["status","statusSet","carrierStatus","id"],"title":"TrackingInformationTrackingEvent","type":"object","description":"TrackingInformationTrackingEvent"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/trackinginformation/{trackingInformationId}":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves a single tracking information using its unique identifier.","operationId":"getTrackingInformationById","parameters":[{"in":"path","name":"trackingInformationId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingInformation"}}},"description":"Successfully retrieved the trackingInformation."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get a tracking information by its ID","tags":["Tracking information"]}}}}
```

## handle tracking information action

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Handle Action on an existing tracking information.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, read, and act on the tracking information of a parcel.","name":"Tracking information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TrackingInformationAddTrackingEventActionParameter":{"properties":{"name":{"description":"Name of this action","type":"string"},"trackingEvents":{"description":"Events to add to the tracking information","items":{"$ref":"#/components/schemas/TrackingInformationTrackingEventForCreation"},"maxItems":20,"minItems":1,"type":"array"},"version":{"description":"Version of the tracking information to call the action upon","minimum":0,"type":"integer"}},"required":["name","version","trackingEvents"],"title":"TrackingInformationAddTrackingEventActionParameter","type":"object","description":"TrackingInformationAddTrackingEventActionParameter"},"TrackingInformationTrackingEventForCreation":{"properties":{"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status from the carrier before mapping to the internal status"},"carrierStatusSet":{"description":"Creation timestamp","format":"date-time","type":"string"},"status":{"description":"Internal Status of this Tracking Information Event","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"statusSet":{"description":"Creation timestamp","format":"date-time","type":"string"}},"required":["status","statusSet","carrierStatus"],"title":"TrackingInformationTrackingEventForCreation","type":"object","description":"TrackingInformationTrackingEventForCreation"},"TrackingInformationRemoveTrackingEventsParameter":{"properties":{"name":{"description":"Name of this action","type":"string"},"trackingEventIds":{"description":"Ids of the tracking events that should be removed from the tracking information","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"version":{"description":"Version of the tracking information to call the action upon","minimum":0,"type":"integer"}},"required":["name","version","trackingEventIds"],"title":"TrackingInformationRemoveTrackingEventsParameter","type":"object","description":"TrackingInformationRemoveTrackingEventsParameter"},"TrackingInformation":{"properties":{"carrierRef":{"description":"Reference to the connected carrier","minLength":1,"type":"string"},"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status of the latest tracking information event status."},"carrierStatusSet":{"description":"Creation timestamp of the latest tracking information event status.","format":"date-time","type":"string"},"created":{"description":"Creation date of this tracking information","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the connected facility ref via the connected shipping information","type":"string"},"id":{"description":"Unique identifier of this tracking information","type":"string"},"labelRef":{"description":"Reference to the connected label","minLength":1,"type":"string"},"labelUrl":{"description":"The URL to the label for this tracking information.","minLength":1,"type":"string"},"lastModified":{"description":"Last modification date of this tracking information","format":"date-time","type":"string"},"shippingInformationRef":{"description":"Reference to the connected shipping information","minLength":1,"type":"string"},"status":{"description":"Status of the tracking information entity. Will either be set by the workflow or calculated from the event history.","enum":["CREATED","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE"],"type":"string"},"trackingHistory":{"description":"The tracking history of the tracking information. Most recent one is defined by the statusSet timestamp, then the internal id.","items":{"$ref":"#/components/schemas/TrackingInformationTrackingEvent"},"maxItems":100,"minItems":1,"type":"array"},"trackingNumber":{"description":"Tracking number of the connected label","minLength":1,"type":"string"},"trackingStatus":{"description":"Latest tracking information event status. Based on the found tracking event history.","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"trackingStatusSet":{"description":"Creation timestamp of the latest tracking information event.","format":"date-time","type":"string"},"trackingUrl":{"description":"Url to the tracking page of the given carrier and tracking number","minLength":1,"type":"string"},"type":{"description":"Type of this tracking information","enum":["SEND","RETURN"],"type":"string"},"version":{"description":"Version number of this tracking information","type":"integer"}},"required":["type","carrierRef","shippingInformationRef","trackingNumber","trackingUrl","labelUrl","trackingHistory","id","created","lastModified","version","status","trackingStatus","trackingStatusSet","carrierStatus","facilityRef"],"title":"TrackingInformation","type":"object","description":"TrackingInformation"},"TrackingInformationTrackingEvent":{"properties":{"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status from the carrier before mapping to the internal status"},"carrierStatusSet":{"description":"Creation timestamp","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this tracking history","type":"string"},"status":{"description":"Internal Status of this Tracking Information Event","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"statusSet":{"description":"Creation timestamp","format":"date-time","type":"string"}},"required":["status","statusSet","carrierStatus","id"],"title":"TrackingInformationTrackingEvent","type":"object","description":"TrackingInformationTrackingEvent"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/trackinginformation/{trackingInformationId}/actions":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Handle Action on an existing tracking information.","operationId":"trackingInformationActions","parameters":[{"in":"path","name":"trackingInformationId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/TrackingInformationAddTrackingEventActionParameter"},{"$ref":"#/components/schemas/TrackingInformationRemoveTrackingEventsParameter"}]}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingInformation"}}},"description":"Successfully handled the action on the tracking information."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"handle tracking information action","tags":["Tracking information"]}}}}
```

## List tracking information (search)

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Search for TrackingInformation

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, read, and act on the tracking information of a parcel.","name":"Tracking information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TrackingInformationSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/TrackingInformationSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/TrackingInformationSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"TrackingInformationSearchPayload","type":"object","description":"TrackingInformationSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"TrackingInformationSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/TrackingInformationSearchQuery"},"maxItems":500,"type":"array"},"carrierRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by carrierRef"},"created":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search entries by created. Applying a narrow and well-considered filter value is strongly recommended, as it can greatly improve response times, especially when working with large datasets."},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"labelRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by labelRef"},"lastModified":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by lastModified"},"or":{"items":{"$ref":"#/components/schemas/TrackingInformationSearchQuery"},"maxItems":500,"type":"array"},"shippingInformationRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by shippingInformationRef"},"trackingNumber":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by trackingNumber"}},"title":"TrackingInformationSearchQuery","type":"object","description":"TrackingInformationSearchQuery"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"DateFilter":{"properties":{"after":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events after the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"before":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events before the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"eq":{"format":"date-time","type":"string"},"gt":{"format":"date-time","type":"string"},"gte":{"format":"date-time","type":"string"},"lt":{"format":"date-time","type":"string"},"lte":{"format":"date-time","type":"string"},"notEq":{"format":"date-time","type":"string"}},"title":"DateFilter","type":"object","description":"DateFilter"},"TrackingInformationSort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"},"lastModified":{"enum":["ASC","DESC"],"type":"string"}},"title":"TrackingInformationSort","type":"object","description":"TrackingInformationSort"},"TrackingInformationPaginatedResult":{"properties":{"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"},"trackingInformations":{"items":{"$ref":"#/components/schemas/TrackingInformation"},"type":"array"}},"required":["pageInfo","trackingInformations"],"title":"TrackingInformationPaginatedResult","type":"object","description":"TrackingInformationPaginatedResult"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"TrackingInformation":{"properties":{"carrierRef":{"description":"Reference to the connected carrier","minLength":1,"type":"string"},"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status of the latest tracking information event status."},"carrierStatusSet":{"description":"Creation timestamp of the latest tracking information event status.","format":"date-time","type":"string"},"created":{"description":"Creation date of this tracking information","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the connected facility ref via the connected shipping information","type":"string"},"id":{"description":"Unique identifier of this tracking information","type":"string"},"labelRef":{"description":"Reference to the connected label","minLength":1,"type":"string"},"labelUrl":{"description":"The URL to the label for this tracking information.","minLength":1,"type":"string"},"lastModified":{"description":"Last modification date of this tracking information","format":"date-time","type":"string"},"shippingInformationRef":{"description":"Reference to the connected shipping information","minLength":1,"type":"string"},"status":{"description":"Status of the tracking information entity. Will either be set by the workflow or calculated from the event history.","enum":["CREATED","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE"],"type":"string"},"trackingHistory":{"description":"The tracking history of the tracking information. Most recent one is defined by the statusSet timestamp, then the internal id.","items":{"$ref":"#/components/schemas/TrackingInformationTrackingEvent"},"maxItems":100,"minItems":1,"type":"array"},"trackingNumber":{"description":"Tracking number of the connected label","minLength":1,"type":"string"},"trackingStatus":{"description":"Latest tracking information event status. Based on the found tracking event history.","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"trackingStatusSet":{"description":"Creation timestamp of the latest tracking information event.","format":"date-time","type":"string"},"trackingUrl":{"description":"Url to the tracking page of the given carrier and tracking number","minLength":1,"type":"string"},"type":{"description":"Type of this tracking information","enum":["SEND","RETURN"],"type":"string"},"version":{"description":"Version number of this tracking information","type":"integer"}},"required":["type","carrierRef","shippingInformationRef","trackingNumber","trackingUrl","labelUrl","trackingHistory","id","created","lastModified","version","status","trackingStatus","trackingStatusSet","carrierStatus","facilityRef"],"title":"TrackingInformation","type":"object","description":"TrackingInformation"},"TrackingInformationTrackingEvent":{"properties":{"carrierStatus":{"additionalProperties":true,"anyOf":[{"type":"string"},{"type":"object"}],"description":"Status from the carrier before mapping to the internal status"},"carrierStatusSet":{"description":"Creation timestamp","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this tracking history","type":"string"},"status":{"description":"Internal Status of this Tracking Information Event","enum":["REGISTERED","ERROR","PICKED_UP","IN_DELIVERY","DELIVERED","DELIVERED_TO_RECIPIENT","DELIVERED_TO_NEIGHBOUR","DELIVERED_TO_PICK_UP_STATION","NOT_PICKED_UP","RETURN_TO_SENDER","LOST","DESTROYED","CANCELLED","UNKNOWN"],"type":"string"},"statusSet":{"description":"Creation timestamp","format":"date-time","type":"string"}},"required":["status","statusSet","carrierStatus","id"],"title":"TrackingInformationTrackingEvent","type":"object","description":"TrackingInformationTrackingEvent"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/trackinginformation/search":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Search for TrackingInformation","operationId":"searchTrackingInformation","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingInformationSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingInformationPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List tracking information (search)","tags":["Tracking information"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/tracking-information.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
